/*
Foot Radio.asi
Mod Menu Compatibility Example 
By Neutrinobeam, based on NativeTrainer by Alexander Blade

*/

#include "script.h"

bool active = false;

void reset_globals()
{
	active = false;
}

void toggleEarProp(bool setting){
	Ped player = PLAYER::PLAYER_PED_ID();
	Hash model = ENTITY::GET_ENTITY_MODEL(player);
	if (setting && PED::IS_PED_WEARING_HELMET(player)==0){
		switch (model)
		{
		case 225514697:  //player_zero
		case 2602752943:  //player_one
		case 2608926626:  //player_two
			PED::CLEAR_PED_PROP(player, 0);
			PED::SET_PED_PROP_INDEX(player, 2, 0, 0, 0);
			break;
		case 2627665880: //mp_f_freemode_01
		case 1885233650: //mp_m_freemode_01
			PED::CLEAR_PED_PROP(player, 0);
			PED::SET_PED_PROP_INDEX(player, 0, 15, 1, 0);
			break;
		default:
			break;
		}
	}else
		if (PED::IS_PED_WEARING_HELMET(player) == 0)
		{
			switch (model)
			{
			case 225514697:  //player_zero
			case 2602752943:  //player_one
			case 2608926626:  //player_two
				PED::CLEAR_PED_PROP(player, 2);
				break;
			case 2627665880: //mp_f_freemode_01
			case 1885233650: //mp_m_freemode_01
				PED::CLEAR_PED_PROP(player, 0);
				break;
			default:
				break;
			}
		}
}

void process_menu(){
	
	active = !active;
	if (active){
		AUDIO::SET_MOBILE_RADIO_ENABLED_DURING_GAMEPLAY(1);
		AUDIO::SET_MOBILE_PHONE_RADIO_STATE(1);
	}
	else
	{
		AUDIO::SET_MOBILE_PHONE_RADIO_STATE(0);
		AUDIO::SET_MOBILE_RADIO_ENABLED_DURING_GAMEPLAY(0);
	}
	toggleEarProp(active);
}
void main()
{	
	reset_globals();
}

void ScriptMain()
{
	main();
}

extern "C"{_declspec(dllexport) void __stdcall loadUI(LPCSTR empty)
{
	process_menu();
}
}

extern "C"{_declspec(dllexport) LPCSTR __stdcall getModName(LPCSTR empty){
	if (active)
		return "Foot Radio Off";
	else
		return "Foot Radio On";
}
}